clang 10.0.0git

Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::OMPCancelStackRAII Class Reference

Controls insertion of cancellation exit blocks in worksharing constructs. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
| OMPCancelStackRAII (CodeGenFunction &CGF, OpenMPDirectiveKind Kind, bool HasCancel)
| ~OMPCancelStackRAII ()

## Detailed Description

Controls insertion of cancellation exit blocks in worksharing constructs.

Definition at line 2968 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ OMPCancelStackRAII()

clang::CodeGen::CodeGenFunction::OMPCancelStackRAII::OMPCancelStackRAII | ( | CodeGenFunction & | CGF,
|  | OpenMPDirectiveKind | Kind,
|  | bool | HasCancel
| ) |  |
| inline

Definition at line 2972 of file CodeGenFunction.h.

## ◆ ~OMPCancelStackRAII()

clang::CodeGen::CodeGenFunction::OMPCancelStackRAII::~OMPCancelStackRAII | ( |  | ) |
| inline

Definition at line 2977 of file CodeGenFunction.h.

References X.

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h